%global aap_version 2.3

%global ui_repo ansible-hub-ui
%global commitId ff3b21124c31d22c567b436eaa46f0265b578324

Name:           automation-hub
Version:        4.6.6
Release:        1%{?dist}
Summary:        automation-hub plugin for the Pulp Project

License:        GPLv2+
URL:            https://access.redhat.com/products/red-hat-ansible-automation-platform/
Source0:        ansible-hub-ui-ff3b21124c31d22c567b436eaa46f0265b578324.tar.gz
Source1:        downstream.webpack.config.js
Source2:        assets_20220705.tar.gz
BuildArch:      noarch

BuildRequires:  gettext
BuildRequires:  npm
BuildRequires:  python%{python3_pkgversion}-rpm-macros

Requires:       ansible-automation-platform-common = %{aap_version}
Requires:       python%{python3_pkgversion}-galaxy-ng >= %{version}
Requires:       sos

%description
%{summary}

%prep
%setup -n %{ui_repo}-%{commitId}
cp %{SOURCE1} config/standalone.prod.webpack.config.js
tar -C static/images -xf %{SOURCE2}

%build
npm config set registry https://repository.engineering.redhat.com/nexus/repository/registry.npmjs.org/
npm config set strict-ssl false

CYPRESS_INSTALL_BINARY=0 npm install
npm run gettext:compile
HUB_UI_VERSION=%{version} npm run build-standalone

%install
mkdir -p %{buildroot}%{_datadir}/%{name}
cp -r dist/* %{buildroot}%{_datadir}/%{name}

%files
%attr(-,pulp,pulp) %{_datadir}/%{name}

%changelog
* Tue May 30 2023 Satoe Imaishi <simaishi@redhat.com> - 4.6.6-1
- Update to 4.6.6

* Thu Apr 20 2023 Satoe Imaishi <simaishi@redhat.com> - 4.6.5-1
- Update to 4.6.5

* Tue Apr 04 2023 Satoe Imaishi <simaishi@redhat.com> - 4.6.4-1
- Update to 4.6.4

* Wed Dec 07 2022 Satoe Imaishi <simaishi@redhat.com> - 4.6.3-1
- Update to 4.6.3

* Fri Oct 21 2022 Satoe Imaishi <simaishi@redhat.com> - 4.6.2-1
- Initial Build
